Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.encoding
Class Encoding

    java.lang.Object
      org.pdfbox.encoding.Encoding

All Implemented Interfaces:
  COSObjectable

Direct Known Subclasses:
  AFMEncoding, DictionaryEncoding, MacRomanEncoding, PdfDocEncoding, StandardEncoding, WinAnsiEncoding

public abstract class Encoding
extends Object
implements COSObjectable

This is an interface to a text encoder.

Version:
  $Revision: 1.13 $
Author:
  Ben Litchfield

Field Summary
`protected Map` | `codeToName` This is a mapping from a character code to a character name.
`protected Map` | `nameToCode` This is a mapping from a character name to a character code.

Constructor Summary
`Encoding()`

Method Summary
`protected void` | `addCharacterEncoding(int code, COSName name)` This will add a character encoding.
`static String` | `getCharacter(COSName name)` This will get the character from the name.
`String` | `getCharacter(int code)` This will get the character from the code.
`int` | `getCode(COSName name)` This will get the character code for the name.
`COSName` | `getName(int code)` This will take a character code and get the name from the code.
`COSName` | `getNameFromCharacter(char c)` This will take a character code and get the name from the code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pdfbox.pdmodel.common.COSObjectable
`getCOSObject`

Field Detail

### codeToName

    protected Map codeToName

  This is a mapping from a character code to a character name.

### nameToCode

    protected Map nameToCode

  This is a mapping from a character name to a character code.

Constructor Detail

### Encoding

    public Encoding()

Method Detail

### addCharacterEncoding

    protected void addCharacterEncoding(int code,
                                        COSName name)

  This will add a character encoding.

  Parameters:
    `code` - The character code that matches the character.
    `name` - The name of the character.

### getCode

    public int getCode(COSName name)
                throws IOException

  This will get the character code for the name.

  Parameters:
    `name` - The name of the character.
  Returns:
    The code for the character.
  Throws:
    `IOException` - If there is no character code for the name.

### getName

    public COSName getName(int code)
                    throws IOException

  This will take a character code and get the name from the code.

  Parameters:
    `code` - The character code.
  Returns:
    The name of the character.
  Throws:
    `IOException` - If there is no name for the code.

### getNameFromCharacter

    public COSName getNameFromCharacter(char c)
                                 throws IOException

  This will take a character code and get the name from the code.

  Parameters:
    `c` - The character.
  Returns:
    The name of the character.
  Throws:
    `IOException` - If there is no name for the character.

### getCharacter

    public String getCharacter(int code)
                        throws IOException

  This will get the character from the code.

  Parameters:
    `code` - The character code.
  Returns:
    The printable character for the code.
  Throws:
    `IOException` - If there is not name for the character.

### getCharacter

    public static String getCharacter(COSName name)

  This will get the character from the name.

  Parameters:
    `name` - The name of the character.
  Returns:
    The printable character for the code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD